Bug 25856 - Suspended holds should be styled differently on request.pl
Summary: Suspended holds should be styled differently on request.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-23 18:42 UTC by Andrew Fuerste-Henry
Modified: 2023-12-28 20:42 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
23.05.00


Attachments
Bug 25856: Add suspend class to tr's of suspended holds (1.60 KB, patch)
2023-03-16 18:09 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 25856: Add suspend class to tr's of suspended holds (1.67 KB, patch)
2023-03-16 19:12 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 25856: Add suspend class to tr's of suspended holds (1.72 KB, patch)
2023-03-17 11:28 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2020-06-23 18:42:48 UTC
When looking at the list of holds on request.pl, it's not terribly obvious when a hold is suspended. It'd be great to make that line appear in a different color or something else immediately obvious.
Comment 1 Lucas Gass 2023-03-16 18:09:09 UTC
Created attachment 148283 [details] [review]
Bug 25856: Add suspend class to tr's of suspended holds

To test:
1. Apply patch.
2. Place multiple holds on a record and then go suspend some of them.
3. Those suspended holds should now have a class of 'suspended'
4. Now you can add any kind of CSS you want to make those rows stand out. You can try adding this to IntranetUSerCSS:
.suspend > td {
	color: red;
}
Comment 2 Lucas Gass 2023-03-16 18:09:52 UTC
This patch also fixes a case of <th> which should be <td>
Comment 3 ByWater Sandboxes 2023-03-16 19:12:53 UTC
Created attachment 148291 [details] [review]
Bug 25856: Add suspend class to tr's of suspended holds

To test:
1. Apply patch.
2. Place multiple holds on a record and then go suspend some of them.
3. Those suspended holds should now have a class of 'suspended'
4. Now you can add any kind of CSS you want to make those rows stand out. You can try adding this to IntranetUSerCSS:
.suspend > td {
	color: red;
}

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>
Comment 4 Barbara Johnson 2023-03-16 19:19:12 UTC
This worked as expected.  When I used the CSS suggested in the test plan it only changed the text color in the date and details columns which did not seem like enough of a change/indication that the item is suspended.  I was able to use background-color instead and that made the suspended item stand out much more.
Comment 5 Lucas Gass 2023-03-16 20:01:49 UTC
(In reply to Barbara Johnson from comment #4)
> This worked as expected.  When I used the CSS suggested in the test plan it
> only changed the text color in the date and details columns which did not
> seem like enough of a change/indication that the item is suspended.  I was
> able to use background-color instead and that made the suspended item stand
> out much more.

Thanks for testing. My idea was to just use a class name on the suspended rows and that allows libraries to customize this in any way they choose.
Comment 6 Nick Clemens 2023-03-17 11:28:20 UTC
Created attachment 148327 [details] [review]
Bug 25856: Add suspend class to tr's of suspended holds

To test:
1. Apply patch.
2. Place multiple holds on a record and then go suspend some of them.
3. Those suspended holds should now have a class of 'suspended'
4. Now you can add any kind of CSS you want to make those rows stand out. You can try adding this to IntranetUSerCSS:
.suspend > td {
	color: red;
}

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>
Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 7 Tomás Cohen Arazi 2023-03-17 12:59:46 UTC
Pushed to master for 23.05.

Nice work everyone, thanks!
Comment 8 Matt Blenkinsop 2023-03-17 17:11:21 UTC
Enhancement - not backporting to 22.11.x

Nice work everyone!